summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorAndreas Proschofsky <suka@gentoo.org>2004-06-17 22:39:22 +0000
committerAndreas Proschofsky <suka@gentoo.org>2004-06-17 22:39:22 +0000
commit3df60508035b6bb5169b84150abba590ff1492a0 (patch)
treecb007566d1b68e0882a50185ff7c3a2a58137dd2 /app-office
parentfix digest #54185 (Manifest recommit) (diff)
downloadgentoo-2-3df60508035b6bb5169b84150abba590ff1492a0.tar.gz
gentoo-2-3df60508035b6bb5169b84150abba590ff1492a0.tar.bz2
gentoo-2-3df60508035b6bb5169b84150abba590ff1492a0.zip
new version
Diffstat (limited to 'app-office')
-rw-r--r--app-office/openoffice/ChangeLog9
-rw-r--r--app-office/openoffice/files/1.1.2/linux-sparc.patch449
-rw-r--r--app-office/openoffice/files/1.1.2/newstlportfix.patch269
-rw-r--r--app-office/openoffice/files/1.1.2/ooffice-wrapper-1.3279
-rw-r--r--app-office/openoffice/files/1.1.2/openoffice-java.patch36
-rw-r--r--app-office/openoffice/files/digest-openoffice-1.1.22
-rw-r--r--app-office/openoffice/openoffice-1.1.2.ebuild526
7 files changed, 1569 insertions, 1 deletions
diff --git a/app-office/openoffice/ChangeLog b/app-office/openoffice/ChangeLog
index b505685911fe..a48e9f088cf7 100644
--- a/app-office/openoffice/ChangeLog
+++ b/app-office/openoffice/ChangeLog
@@ -1,6 +1,13 @@
# ChangeLog for app-office/openoffice
# Copyright 2002-2004 Gentoo Technologies, Inc.; Distributed under the GPL v2
-# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice/ChangeLog,v 1.75 2004/06/02 12:36:09 agriffis Exp $
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice/ChangeLog,v 1.76 2004/06/17 22:39:22 suka Exp $
+
+*openoffice-1.1.2 (18 Jun 2004)
+
+ 18 Jun 2004; suka@gentoo.org +files/1.1.2/linux-sparc.patch,
+ +files/1.1.2/newstlportfix.patch, +files/1.1.2/ooffice-wrapper-1.3,
+ +files/1.1.2/openoffice-java.patch, +openoffice-1.1.2.ebuild:
+ New version, updating for 1.1.1 should work fine this time
02 Jun 2004; Aron Griffis <agriffis@gentoo.org> openoffice-1.0.3-r2.ebuild,
openoffice-1.1.0-r4.ebuild, openoffice-1.1.0-r5.ebuild,
diff --git a/app-office/openoffice/files/1.1.2/linux-sparc.patch b/app-office/openoffice/files/1.1.2/linux-sparc.patch
new file mode 100644
index 000000000000..9325e23117b7
--- /dev/null
+++ b/app-office/openoffice/files/1.1.2/linux-sparc.patch
@@ -0,0 +1,449 @@
+Index: boost/boost_1_27_0.patch
+===================================================================
+RCS file: /cvs/external/boost/boost_1_27_0.patch,v
+retrieving revision 1.4.10.1
+diff -u -u -r1.4.10.1 boost_1_27_0.patch
+--- boost/boost_1_27_0.patch 15 Aug 2003 11:47:26 -0000 1.4.10.1
++++ boost/boost_1_27_0.patch 10 Mar 2004 05:42:33 -0000
+@@ -31,7 +31,26 @@
+ + #if defined(BOOST_OOO_NO_NEW_EXCEPTIONS) && !defined(BOOST_NO_EXCEPTIONS)
+ + #define BOOST_NO_EXCEPTIONS
+ + #endif
+-+
+++
++*** misc/boost_1_27_0/boost/detail/atomic_count.hpp Fri Feb 8 02:26:13 2002
++--- misc/build/boost_1_27_0/boost/detail/atomic_count.hpp Fri Dec 19 01:00:46 2003
++***************
++*** 93,99 ****
++
++ #include <boost/detail/atomic_count_win32.hpp>
++
++! #elif defined(linux) || defined(__linux) || defined(__linux__)
++
++ #include <boost/detail/atomic_count_linux.hpp>
++
++--- 93,99 ----
++
++ #include <boost/detail/atomic_count_win32.hpp>
++
++! #elif (defined(linux) || defined(__linux) || defined(__linux__)) && !(defined(SPARC) || defined(sparc) || defined(sparc64))
++
++ #include <boost/detail/atomic_count_linux.hpp>
++
+ *** misc/boost_1_27_0/boost/detail/atomic_count_linux.hpp Thu Feb 7 10:26:13 2002
+ --- misc/build/boost_1_27_0/boost/detail/atomic_count_linux.hpp Wed May 7 11:28:19 2003
+ ***************
+@@ -157,7 +176,7 @@
+ --- misc/build/boost_1_27_0/boost/detail/linux_atomic.h Wed May 7 11:32:48 2003
+ ***************
+ *** 0 ****
+---- 1,181 ----
++--- 1,118 ----
+ + #ifndef _LINUX_ATOMIC_H_
+ + #define _LINUX_ATOMIC_H_
+ +
+@@ -268,70 +287,7 @@
+ + __CS_LOOP(old_val, new_val, v, 1, "sr");
+ + return new_val;
+ +}
+-+#elif defined ( SPARC )
+-+
+-+
+-+#define atomic_set(v, i) (((v)->aVal) = ((i) << 8))
+-+
+-+static __inline__ int __atomic_add(int i, atomic_t *v)
+-+{
+-+ register volatile int *ptr asm("g1");
+-+ register int increment asm("g2");
+-+
+-+ ptr = &v->aVal;
+-+ increment = i;
+-+
+-+ __asm__ __volatile__(
+-+ "mov %%o7, %%g4\n\t"
+-+ "call ___atomic_add\n\t"
+-+ " add %%o7, 8, %%o7\n"
+-+ : "=&r" (increment)
+-+ : "0" (increment), "r" (ptr)
+-+ : "g3", "g4", "g7", "memory", "cc");
+-+
+-+ return increment;
+-+}
+ +
+-+static __inline__ int __atomic_sub(int i, atomic_t *v)
+-+{
+-+ register volatile int *ptr asm("g1");
+-+ register int increment asm("g2");
+-+
+-+ ptr = &v->aVal;
+-+ increment = i;
+-+
+-+ __asm__ __volatile__(
+-+ "mov %%o7, %%g4\n\t"
+-+ "call ___atomic_sub\n\t"
+-+ " add %%o7, 8, %%o7\n"
+-+ : "=&r" (increment)
+-+ : "0" (increment), "r" (ptr)
+-+ : "g3", "g4", "g7", "memory", "cc");
+-+
+-+ return increment;
+-+}
+-+
+-+#define atomic_add(i, v) ((void)__atomic_add((i), (v)))
+-+#define atomic_sub(i, v) ((void)__atomic_sub((i), (v)))
+-+
+-+#define atomic_dec_return(v) __atomic_sub(1, (v))
+-+#define atomic_inc_return(v) __atomic_add(1, (v))
+-+
+-+#define atomic_sub_and_test(i, v) (__atomic_sub((i), (v)) == 0)
+-+#define atomic_dec_and_test(v) (__atomic_sub(1, (v)) == 0)
+-+
+-+#define atomic_inc(v) ((void)__atomic_add(1, (v)))
+-+#define atomic_dec(v) ((void)__atomic_sub(1, (v)))
+-+
+-+#define atomic_add_negative(i, v) (__atomic_add((i), (v)) < 0)
+-+
+-+/* Atomic operations are already serializing */
+-+#define smp_mb__before_atomic_dec() barrier()
+-+#define smp_mb__after_atomic_dec() barrier()
+-+#define smp_mb__before_atomic_inc() barrier()
+-+#define smp_mb__after_atomic_inc() barrier()
+-+
+-+#endif
+ + #else
+ +
+ + #error - need to define your processors atomic inc and dec here
+Index: boost/makefile.mk
+===================================================================
+RCS file: /cvs/external/boost/makefile.mk,v
+retrieving revision 1.4
+diff -u -u -r1.4 makefile.mk
+--- boost/makefile.mk 2 Jul 2003 15:23:23 -0000 1.4
++++ boost/makefile.mk 10 Mar 2004 05:42:33 -0000
+@@ -76,7 +76,7 @@
+
+ PATCH_FILE_NAME=boost_1_27_0.patch
+
+-#ADDITIONAL_FILES=
++ADDITIONAL_FILES=boost$/detail$/linux_atomic.h
+
+ CONFIGURE_DIR=
+ CONFIGURE_ACTION=
+Index: bridges/source/cpp_uno/gcc3_linux_sparc/cpp2uno.cxx
+===================================================================
+RCS file: /cvs/udk/bridges/source/cpp_uno/gcc3_linux_sparc/cpp2uno.cxx,v
+retrieving revision 1.2
+diff -u -u -r1.2 cpp2uno.cxx
+--- bridges/source/cpp_uno/gcc3_linux_sparc/cpp2uno.cxx 28 Apr 2003 16:28:42 -0000 1.2
++++ bridges/source/cpp_uno/gcc3_linux_sparc/cpp2uno.cxx 10 Mar 2004 05:42:33 -0000
+@@ -163,8 +163,21 @@
+ {
+ case typelib_TypeClass_HYPER:
+ case typelib_TypeClass_UNSIGNED_HYPER:
+- case typelib_TypeClass_DOUBLE:
+- pCppStack += sizeof(sal_Int32); // extra long
++ case typelib_TypeClass_DOUBLE:
++ {
++ if ((reinterpret_cast< long >(pCppStack) & 7) != 0)
++ {
++ OSL_ASSERT( sizeof (double) == sizeof (sal_Int64) );
++ void * pDest = alloca( sizeof (sal_Int64) );
++ *reinterpret_cast< sal_Int32 * >(pDest) =
++ *reinterpret_cast< sal_Int32 const * >(pCppStack);
++ *(reinterpret_cast< sal_Int32 * >(pDest) + 1) =
++ *(reinterpret_cast< sal_Int32 const * >(pCppStack) + 1);
++ pCppArgs[nPos] = pUnoArgs[nPos] = pDest;
++ }
++ pCppStack += sizeof (sal_Int32); // extra long
++ break;
++ }
+ }
+ // no longer needed
+ TYPELIB_DANGER_RELEASE( pParamTypeDescr );
+@@ -488,7 +501,7 @@
+ sal_Bool bComplex = nTableEntry & 0x80000000 ? sal_True : sal_False;
+
+ typelib_TypeClass aType =
+- cpp_mediate( nTableEntry, pCallStack+17, &nRegReturn );
++ cpp_mediate( nTableEntry, pCallStack+17, (sal_Int64*)&nRegReturn );
+
+ switch( aType )
+ {
+Index: bridges/source/cpp_uno/gcc3_linux_sparc/uno2cpp.cxx
+===================================================================
+RCS file: /cvs/udk/bridges/source/cpp_uno/gcc3_linux_sparc/uno2cpp.cxx,v
+retrieving revision 1.2.34.1
+diff -u -u -r1.2.34.1 uno2cpp.cxx
+--- bridges/source/cpp_uno/gcc3_linux_sparc/uno2cpp.cxx 15 Aug 2003 11:59:42 -0000 1.2.34.1
++++ bridges/source/cpp_uno/gcc3_linux_sparc/uno2cpp.cxx 10 Mar 2004 05:42:39 -0000
+@@ -359,16 +359,24 @@
+ if (!rParam.bOut && cppu_isSimpleType( pParamTypeDescr ))
+ {
+ pCppArgs[ nPos ] = adjustPointer( pCppStack, pParamTypeDescr );
+- uno_copyAndConvertData( pCppArgs[nPos], pUnoArgs[nPos], pParamTypeDescr,
+- &pThis->pBridge->aUno2Cpp );
+-
+ switch (pParamTypeDescr->eTypeClass)
+ {
+ case typelib_TypeClass_HYPER:
+ case typelib_TypeClass_UNSIGNED_HYPER:
+ case typelib_TypeClass_DOUBLE:
+- pCppStack += sizeof(sal_Int32); // extra long
+- }
++ OSL_ASSERT( sizeof (double) == sizeof (sal_Int64) );
++ *reinterpret_cast< sal_Int32 * >(pCppStack) =
++ *reinterpret_cast< sal_Int32 const * >(pUnoArgs[ nPos ]);
++ pCppStack += sizeof (sal_Int32);
++ *reinterpret_cast< sal_Int32 * >(pCppStack) =
++ *(reinterpret_cast< sal_Int32 const * >(pUnoArgs[ nPos ] ) + 1);
++ break;
++ default:
++ uno_copyAndConvertData(
++ pCppArgs[nPos], pUnoArgs[nPos], pParamTypeDescr,
++ &pThis->pBridge->aUno2Cpp );
++ break;
++ }
+ // no longer needed
+ TYPELIB_DANGER_RELEASE( pParamTypeDescr );
+ }
+@@ -407,11 +415,15 @@
+
+ try
+ {
++ int nStackLongs = (pCppStack - pCppStackStart)/sizeof(sal_Int32);
+ OSL_ENSURE( !( (pCppStack - pCppStackStart ) & 3), "UNALIGNED STACK !!! (Please DO panic" );
+ callVirtualMethod(
+- pThis->pCppI, nVtableCall,
+- pCppReturn, pReturnTypeDescr->eTypeClass,
+- (sal_Int32 *)pCppStackStart, (pCppStack - pCppStackStart) / sizeof(sal_Int32) );
++ pThis->pCppI,
++ nVtableCall,
++ pCppReturn,
++ pReturnTypeDescr->eTypeClass,
++ (sal_Int32 *)pCppStackStart,
++ nStackLongs);
+ // NO exception occured...
+ *ppUnoExc = 0;
+
+Index: cppu/source/uno/copy.hxx
+===================================================================
+RCS file: /cvs/udk/cppu/source/uno/copy.hxx,v
+retrieving revision 1.10
+diff -u -u -r1.10 copy.hxx
+--- cppu/source/uno/copy.hxx 20 Mar 2003 12:28:50 -0000 1.10
++++ cppu/source/uno/copy.hxx 10 Mar 2004 05:42:40 -0000
+@@ -752,12 +752,7 @@
+ break;
+ case typelib_TypeClass_HYPER:
+ case typelib_TypeClass_UNSIGNED_HYPER:
+-#if defined(GCC) && defined(SPARC)
+- *(sal_Int32 *)pDest = *(sal_Int32 *)pSource;
+- *(((sal_Int32 *)pDest) +1) = *(((sal_Int32 *)pSource) +1);
+-#else
+ *(sal_Int64 *)pDest = *(sal_Int64 *)pSource;
+-#endif
+ break;
+ case typelib_TypeClass_FLOAT:
+ *(float *)pDest = *(float *)pSource;
+Index: scp/source/office/files.scp
+===================================================================
+RCS file: /cvs/installation/scp/source/office/Attic/files.scp,v
+retrieving revision 1.369.16.9
+diff -u -u -r1.369.16.9 files.scp
+--- scp/source/office/files.scp 10 Feb 2004 20:05:45 -0000 1.369.16.9
++++ scp/source/office/files.scp 10 Mar 2004 05:44:58 -0000
+@@ -3301,6 +3301,26 @@
+
+ #endif
+
++
++#if defined (FAT_PRODUCT) && defined(LINUX) && defined(SPARC)
++
++Custom GID_CUSTOM_JVM
++ FileName = LIBNAME(jvm);
++ Styles = (EXEC_INST_BEFORE,STANDALONE,WORKSTATION,NETWORK,REPAIRABLE);
++ Code = {
++ [Install]
++ InstallationPath=.
++ RequiredVersion=1.4.1_01
++ ExcludeVersion=
++ AdditionalClasspath=<OFFICE_CLASSDIR>/classes.jar:<OFFICE_CLASSDIR>/sandbox.jar:<OFFICE_CLASSDIR>/ridl.jar:<OFFICE_CLASSDIR>/unoil.jar:<OFFICE_CLASSDIR>/jurt.jar:<OFFICE_CLASSDIR>/juh.jar:<OFFICE_CLASSDIR>/java_uno.jar:<OFFICE_CLASSDIR>/xt.jar:<OFFICE_CLASSDIR>/jaxp.jar:<OFFICE_CLASSDIR>/java_uno_accessbridge.jar:<OFFICE_CLASSDIR>/aportisdoc.jar:<OFFICE_CLASSDIR>/htmlsoff.jar:<OFFICE_CLASSDIR>/jmc.jar:<OFFICE_CLASSDIR>/minicalc.jar:<OFFICE_CLASSDIR>/pexcel.jar:<OFFICE_CLASSDIR>/pocketword.jar:<OFFICE_CLASSDIR>/XFlatXml.jar:<OFFICE_CLASSDIR>/xmerge.jar:<OFFICE_CLASSDIR>/XMergeBridge.jar:
++ AdditionalJars=javaplugin.jar;plugin.jar
++ CPLD=0
++ };
++End
++
++#endif
++
++
+ #endif
+ // of #ifdef SOLAR_JAVA
+
+? a.out
+? solar.c.stripped
+? test.c
+? x
+Index: solar.c
+===================================================================
+RCS file: /cvs/util/tools/source/solar/solar.c,v
+retrieving revision 1.2
+diff -u -r1.2 solar.c
+--- solar.c 15 Apr 2003 17:55:43 -0000 1.2
++++ tools/source/solar/solar.c 22 Oct 2003 13:08:21 -0000
+@@ -58,17 +58,22 @@
+ *
+ *
+ ************************************************************************/
+-#include <stdio.h>
+
+-#ifdef UNX
++/* POSIX defines that a program is undefined after a SIG_SEGV. The
++ * code stopped working on Linux Kernel 2.6 so I have moved this back to
++ * use FORK.
++ * If at a later time the signals work correctly with the Linux Kernel 2.6
++ * then this change may be reverted although not strictly posix safe. */
++#define USE_FORK_TO_CHECK 1
++
++#include <stdio.h>
++#include <stdlib.h>
++#include <errno.h>
++#include <string.h>
+
+ #include <unistd.h>
+ #include <sys/types.h>
+
+-#ifdef HPUX
+-#include <stdlib.h>
+-#endif
+-
+ #define I_STDARG
+ #ifdef I_STDARG
+ #include <stdarg.h>
+@@ -84,9 +89,6 @@
+ #include <setjmp.h>
+ #endif
+
+-#else
+-#endif
+-
+ #define printTypeSize(Type,Name) printf( "sizeof(%s)\t= %d\n", Name, sizeof (Type) )
+
+ #define isSignedType(Type) (((Type)-1) < 0)
+@@ -133,7 +135,7 @@
+
+ /*************************************************************************
+ |*
+-|* IsStackGrowingDown()
++|* GetStackAlignment()
+ |*
+ |* Beschreibung Alignment von char Parametern, die (hoffentlich)
+ |* ueber den Stack uebergeben werden
+@@ -176,8 +178,6 @@
+ typedef int (*TestFunc)( Type, void* );
+
+
+-#ifdef UNX
+-
+ /*************************************************************************
+ |*
+ |* PrintArgs()
+@@ -230,11 +230,11 @@
+ void SignalHdl( int sig )
+ {
+ bSignal = 1;
+- /*
++
+ fprintf( stderr, "Signal %d caught\n", sig );
+- signal( sig, SignalHdl );
+- /**/
+- longjmp( check_env, sig );
++ signal( SIGSEGV, SIG_DFL );
++ signal( SIGBUS, SIG_DFL );
++ siglongjmp( check_env, sig );
+ }
+ #endif
+
+@@ -270,7 +270,7 @@
+
+ bSignal = 0;
+
+- if ( !setjmp( check_env ) )
++ if ( !sigsetjmp( check_env, 0 ) )
+ {
+ signal( SIGSEGV, SignalHdl );
+ signal( SIGBUS, SignalHdl );
+@@ -286,9 +286,6 @@
+ #endif
+ }
+
+-#endif
+-
+-
+ /*************************************************************************
+ |*
+ |* GetAtAddress()
+@@ -373,6 +370,7 @@
+ int CheckSetAccess( Type eT, void* p )
+ {
+ int b;
++
+ b = -1 != check( (TestFunc)SetAtAddress, eT, p );
+ #if OSL_DEBUG_LEVEL > 1
+ fprintf( stderr,
+@@ -437,7 +435,7 @@
+ |* Letzte Aenderung
+ |*
+ *************************************************************************/
+-Description_Ctor( struct Description* pThis )
++void Description_Ctor( struct Description* pThis )
+ {
+ pThis->bBigEndian = IsBigEndian();
+ pThis->bStackGrowsDown = IsStackGrowingDown();
+@@ -468,16 +466,21 @@
+ |* Letzte Aenderung
+ |*
+ *************************************************************************/
+-Description_Print( struct Description* pThis, char* name )
++void Description_Print( struct Description* pThis, char* name )
+ {
+ int i;
+ FILE* f = fopen( name, "w" );
++ if( ! f ) {
++ fprintf( stderr, "Unable to open file %s: %s\n", name, strerror( errno ) );
++ exit( 99 );
++ }
+ fprintf( f, "#define __%s\n",
+ pThis->bBigEndian ? "BIGENDIAN" : "LITTLEENDIAN" );
+ for ( i = 0; i < 3; i++ )
+ fprintf( f, "#define __ALIGNMENT%d\t%d\n",
+- 1 << i+1, pThis->nAlignment[i] );
+- fprintf( f, "#define __STACKALIGNMENT wird nicht benutzt\t%d\n", pThis->nStackAlignment );
++ 1 << (i+1), pThis->nAlignment[i] );
++ fprintf( f, "/* Stack alignment is not used... */\n" );
++ fprintf( f, "#define __STACKALIGNMENT\t%d\n", pThis->nStackAlignment );
+ fprintf( f, "#define __STACKDIRECTION\t%d\n",
+ pThis->bStackGrowsDown ? -1 : 1 );
+ fprintf( f, "#define __SIZEOFCHAR\t%d\n", sizeof( char ) );
+@@ -538,8 +541,12 @@
+ printf( ( CheckGetAccess( eT, (long*)&a[i] ) ? "OK\n" : "ERROR\n" ) );
+ }
+ }
+-
+-main( int argc, char* argv[] )
++/************************************************************************
++ *
++ * Use C code to determine the characteristics of the building platform.
++ *
++ ************************************************************************/
++int main( int argc, char* argv[] )
+ {
+ printTypeSign( char, "char" );
+ printTypeSign( short, "short" );
+@@ -574,7 +581,6 @@
+ Description_Ctor( &description );
+ Description_Print( &description, argv[1] );
+ }
+-
+ {
+ char* p = NULL;
+ InfoMemoryAccess( p );
diff --git a/app-office/openoffice/files/1.1.2/newstlportfix.patch b/app-office/openoffice/files/1.1.2/newstlportfix.patch
new file mode 100644
index 000000000000..dc958c84a6f8
--- /dev/null
+++ b/app-office/openoffice/files/1.1.2/newstlportfix.patch
@@ -0,0 +1,269 @@
+diff -urN stlport.orig/STLport-4.5.3.patch stlport/STLport-4.5.3.patch
+--- stlport.orig/STLport-4.5.3.patch 1970-01-01 01:00:00.000000000 +0100
++++ stlport/STLport-4.5.3.patch 2004-02-08 11:52:28.424007600 +0100
+@@ -0,0 +1,247 @@
++*** misc/STLport-4.5.3/src/fstream.cpp Tue Sep 4 19:10:12 2001
++--- misc/build/STLport-4.5.3/src/fstream.cpp Fri Jan 11 17:22:40 2002
++***************
++*** 293,299 ****
++ #ifdef __MINGW32__
++ __MINGW_IMPORT ioinfo * __pioinfo[];
++ #else
++! extern _CRTIMP ioinfo * __pioinfo[];
++ #endif
++
++ } // extern "C"
++--- 293,299 ----
++ #ifdef __MINGW32__
++ __MINGW_IMPORT ioinfo * __pioinfo[];
++ #else
++! extern __declspec( dllimport ) ioinfo * __pioinfo[];
++ #endif
++
++ } // extern "C"
++*** misc/STLport-4.5.3/src/gcc-3.0.mak Fri Jan 11 12:48:44 2002
++--- misc/build/STLport-4.5.3/src/gcc-3.0.mak Fri Jan 11 12:47:21 2002
++***************
++*** 1 ****
++! dummy
++--- 1,59 ----
++! #
++! # Note : this makefile is for gcc-3 !
++! #
++!
++! #
++! # compiler
++! #
++! CC = $(CCCOMP)
++! CXX = $(CXXCOMP) -D_REENTRANT -fexceptions
++!
++! #
++! # Basename for libraries
++! #
++! LIB_BASENAME = libstlport_gcc
++!
++! #
++! # guts for common stuff
++! #
++! #
++! LINK=ar cr
++! DYN_LINK=$(CXX) --fexceptions -shared -o
++!
++! OBJEXT=o
++! DYNEXT=so
++! STEXT=a
++! RM=rm -rf
++! PATH_SEP=/
++! MKDIR=mkdir -p
++! COMP=GCC$(ARCH)
++! INSTALL_STEP = install_unix
++!
++! all: all_dynamic all_static symbolic_links
++!
++! include common_macros.mak
++!
++! WARNING_FLAGS= -Wall -W -Wno-sign-compare -Wno-unused -Wno-uninitialized -ftemplate-depth-32
++!
++! CXXFLAGS_COMMON = -I${STLPORT_DIR} ${WARNING_FLAGS}
++!
++! CXXFLAGS_RELEASE_static = $(CXXFLAGS_COMMON) -O2 -fPIC
++! CXXFLAGS_RELEASE_dynamic = $(CXXFLAGS_COMMON) -O2 -fPIC
++!
++! CXXFLAGS_DEBUG_static = $(CXXFLAGS_COMMON) -g -fPIC
++! CXXFLAGS_DEBUG_dynamic = $(CXXFLAGS_COMMON) -g -fPIC
++!
++! CXXFLAGS_STLDEBUG_static = $(CXXFLAGS_DEBUG_static) -D_STLP_DEBUG
++! CXXFLAGS_STLDEBUG_dynamic = $(CXXFLAGS_DEBUG_dynamic) -D_STLP_DEBUG
++!
++! include common_percent_rules.mak
++! include common_rules.mak
++!
++!
++! #install: all
++! # cp -p $(LIB_TARGET) ${D_LIB_TARGET} ../lib
++!
++! #%.s: %.cpp
++! # $(CXX) $(CXXFLAGS) -O4 -S -pto $< -o $@
++!
++!
++*** misc/STLport-4.5.3/src/vc6.mak Mon Jul 30 00:18:15 2001
++--- misc/build/STLport-4.5.3/src/vc6.mak Fri Jan 11 17:41:08 2002
++***************
++*** 10,16 ****
++ COMP=VC6
++
++ # EXTRA_COMMON_FLAGS=/D "_MBCS"
++! EXTRA_COMMON_FLAGS=/Zm800 /FI "vc_warning_disable.h" /D "_MBCS"
++ EXTRA_DEBUG_FLAGS=
++ EXTRA_NDEBUG_FLAGS=
++
++--- 10,16 ----
++ COMP=VC6
++
++ # EXTRA_COMMON_FLAGS=/D "_MBCS"
++! EXTRA_COMMON_FLAGS=/Zm800 /FI "vc_warning_disable.h" /D "_MBCS" /D "_NTSDK" /D "_CRTIMP="
++ EXTRA_DEBUG_FLAGS=
++ EXTRA_NDEBUG_FLAGS=
++
++*** misc/STLport-4.5.3/src/vc_common.mak Tue Sep 4 19:10:12 2001
++--- misc/build/STLport-4.5.3/src/vc_common.mak Fri Jan 11 12:48:14 2002
++***************
++*** 62,68 ****
++ LDFLAGS_RELEASE=/opt:ref
++
++ LDFLAGS_COMMON_static=$(LDFLAGS_COMMON)
++! LDFLAGS_COMMON_dynamic=$(LDFLAGS_COMMON) /dll /incremental:no
++
++
++ CXXFLAGS_DEBUG_static=$(FLAGS_COMMON_static) /MTd $(FLAGS_DEBUG) /Fo"$(DEBUG_OBJDIR_static)\\" /Fd"$(DEBUG_OBJDIR_static)\\" /YXstlport_prefix.h /Fp$(DEBUG_OBJDIR_static)\stlport.pch
++--- 62,68 ----
++ LDFLAGS_RELEASE=/opt:ref
++
++ LDFLAGS_COMMON_static=$(LDFLAGS_COMMON)
++! LDFLAGS_COMMON_dynamic=$(LDFLAGS_COMMON) /nodefaultlib oldnames.lib kernel32.lib /dll /incremental:no
++
++
++ CXXFLAGS_DEBUG_static=$(FLAGS_COMMON_static) /MTd $(FLAGS_DEBUG) /Fo"$(DEBUG_OBJDIR_static)\\" /Fd"$(DEBUG_OBJDIR_static)\\" /YXstlport_prefix.h /Fp$(DEBUG_OBJDIR_static)\stlport.pch
++***************
++*** 79,87 ****
++
++
++ LDFLAGS_DEBUG_static=$(LDFLAGS_COMMON_static)
++! LDFLAGS_DEBUG_dynamic=$(LDFLAGS_COMMON_dynamic) $(LDFLAGS_DEBUG) /implib:"$(OUTDIR)\$(DEBUG_NAME).$(STEXT)"
++ LDFLAGS_STLDEBUG_static=$(LDFLAGS_COMMON_static)
++! LDFLAGS_STLDEBUG_dynamic=$(LDFLAGS_COMMON_dynamic) $(LDFLAGS_DEBUG) /implib:"$(OUTDIR)\$(STLDEBUG_NAME).$(STEXT)"
++
++ # LDFLAGS_DEBUG_static=$(LDFLAGS_COMMON_static) /DEBUGTYPE:CV
++ # LDFLAGS_DEBUG_dynamic=$(LDFLAGS_COMMON_dynamic) /DEBUG /DEBUGTYPE:CV /implib:"$(OUTDIR)\$(DEBUG_NAME).$(STEXT)"
++--- 79,87 ----
++
++
++ LDFLAGS_DEBUG_static=$(LDFLAGS_COMMON_static)
++! LDFLAGS_DEBUG_dynamic=$(LDFLAGS_COMMON_dynamic) msvcrtd.lib $(LDFLAGS_DEBUG) /implib:"$(OUTDIR)\$(DEBUG_NAME).$(STEXT)"
++ LDFLAGS_STLDEBUG_static=$(LDFLAGS_COMMON_static)
++! LDFLAGS_STLDEBUG_dynamic=$(LDFLAGS_COMMON_dynamic) msvcrtd.lib $(LDFLAGS_DEBUG) /implib:"$(OUTDIR)\$(STLDEBUG_NAME).$(STEXT)"
++
++ # LDFLAGS_DEBUG_static=$(LDFLAGS_COMMON_static) /DEBUGTYPE:CV
++ # LDFLAGS_DEBUG_dynamic=$(LDFLAGS_COMMON_dynamic) /DEBUG /DEBUGTYPE:CV /implib:"$(OUTDIR)\$(DEBUG_NAME).$(STEXT)"
++***************
++*** 95,101 ****
++ CXXFLAGS_RELEASE_dynamic=$(FLAGS_COMMON_dynamic) /MD $(FLAGS_NDEBUG) /Fo"$(RELEASE_OBJDIR_dynamic)\\" /Fd"$(RELEASE_OBJDIR_dynamic)\\" /YXstlport_prefix.h /Fp$(RELEASE_OBJDIR_dynamic)\stlport.pch
++
++ LDFLAGS_RELEASE_static=$(LDFLAGS_COMMON_static)
++! LDFLAGS_RELEASE_dynamic=$(LDFLAGS_COMMON_dynamic) $(LDFLAGS_RELEASE) /implib:"$(OUTDIR)\$(RELEASE_NAME).$(STEXT)"
++ # LDFLAGS_RELEASE_dynamic=$(LDFLAGS_COMMON_dynamic) /implib:"$(OUTDIR)\$(RELEASE_NAME).$(STEXT)"
++
++ RESFILE=$(RELEASE_OBJDIR_dynamic)$(PATH_SEP)stlport.res
++--- 95,101 ----
++ CXXFLAGS_RELEASE_dynamic=$(FLAGS_COMMON_dynamic) /MD $(FLAGS_NDEBUG) /Fo"$(RELEASE_OBJDIR_dynamic)\\" /Fd"$(RELEASE_OBJDIR_dynamic)\\" /YXstlport_prefix.h /Fp$(RELEASE_OBJDIR_dynamic)\stlport.pch
++
++ LDFLAGS_RELEASE_static=$(LDFLAGS_COMMON_static)
++! LDFLAGS_RELEASE_dynamic=$(LDFLAGS_COMMON_dynamic) $(LDFLAGS_RELEASE) msvcrt.lib /implib:"$(OUTDIR)\$(RELEASE_NAME).$(STEXT)"
++ # LDFLAGS_RELEASE_dynamic=$(LDFLAGS_COMMON_dynamic) /implib:"$(OUTDIR)\$(RELEASE_NAME).$(STEXT)"
++
++ RESFILE=$(RELEASE_OBJDIR_dynamic)$(PATH_SEP)stlport.res
++*** misc/STLport-4.5.3/stlport/stdexcept Tue May 22 02:50:21 2001
++--- misc/build/STLport-4.5.3/stlport/stdexcept Mon Jan 14 18:26:09 2002
++***************
++*** 49,54 ****
++--- 49,59 ----
++
++ _STLP_BEGIN_NAMESPACE
++
+++ /* maybe limit to gcc 3.x */
+++ #if defined( __GNUC__)
+++ #define _STLP_NOTHROW_INHERENTLY throw()
+++ #endif
+++
++ class _STLP_CLASS_DECLSPEC __Named_exception : public _STLP_EXCEPTION_BASE {
++ public:
++ __Named_exception(const string& __str)
++*** misc/STLport-4.5.3/stlport/config/stl_gcc.h Thu Jun 6 22:53:04 2002
++--- misc/build/STLport-4.5.3/stlport/config/stl_gcc.h Thu Jun 6 22:53:56 2002
++***************
++*** 226,233 ****
++
++ # if (__GNUC__ >= 3)
++
++! # define _STLP_NATIVE_INCLUDE_PATH ../g++-v3
++! # define _STLP_NATIVE_OLD_STREAMS_INCLUDE_PATH ../g++-v3/backward
++
++ # elif (__GNUC_MINOR__ < 8)
++
++--- 226,233 ----
++
++ # if (__GNUC__ >= 3)
++
++! # define _STLP_NATIVE_INCLUDE_PATH ../g++-v3
++! # define _STLP_NATIVE_OLD_STREAMS_INCLUDE_PATH ../g++-v3/backward
++
++ # elif (__GNUC_MINOR__ < 8)
++
++***************
++*** 285,298 ****
++ # if defined(__DJGPP)
++ # define _STLP_NATIVE_INCLUDE_PATH ../lang/cxx
++ # elif (__GNUC__ >= 3) || (__GNUC_MINOR__ >= 97)
++! # define _STLP_NATIVE_INCLUDE_PATH ../include/g++-v3
++ # elif ((__GNUC_MINOR__ >= 95 && __GNUC_MINOR__ < 97) && !( defined (__FreeBSD__) || defined (__NetBSD__) || defined(__sgi) ) )
++! # define _STLP_NATIVE_INCLUDE_PATH ../g++-3
++ # elif (__GNUC_MINOR__ > 8) && (__GNUC_MINOR__ < 95) && (__GNUC__ < 3) && !defined( __Lynx__ )
++ // this really sucks, as GNUpro does not really identifies itself, so we have to guess
++ // depending on a platform
++ # ifdef __hpux
++! # define _STLP_NATIVE_INCLUDE_PATH ../g++-3
++ # else
++ # define _STLP_NATIVE_INCLUDE_PATH ../g++-2
++ # endif
++--- 285,298 ----
++ # if defined(__DJGPP)
++ # define _STLP_NATIVE_INCLUDE_PATH ../lang/cxx
++ # elif (__GNUC__ >= 3) || (__GNUC_MINOR__ >= 97)
++! # define _STLP_NATIVE_INCLUDE_PATH ../include/g++-v3
++ # elif ((__GNUC_MINOR__ >= 95 && __GNUC_MINOR__ < 97) && !( defined (__FreeBSD__) || defined (__NetBSD__) || defined(__sgi) ) )
++! # define _STLP_NATIVE_INCLUDE_PATH ../g++-v32
++ # elif (__GNUC_MINOR__ > 8) && (__GNUC_MINOR__ < 95) && (__GNUC__ < 3) && !defined( __Lynx__ )
++ // this really sucks, as GNUpro does not really identifies itself, so we have to guess
++ // depending on a platform
++ # ifdef __hpux
++! # define _STLP_NATIVE_INCLUDE_PATH ../g++-v3
++ # else
++ # define _STLP_NATIVE_INCLUDE_PATH ../g++-2
++ # endif
++*** misc/STLport-4.5.3/src/common_rules.mak Tue Sep 10 23:41:05 2002
++--- misc/build/STLport-4.5.3/src/common_rules.mak Tue Sep 10 23:39:45 2002
++***************
++*** 84,90 ****
++ $(RM) $(OUTDIR)/$(STLDEBUG_NAME).$(DYNEXT)
++ $(RM) $(OUTDIR)/$(DEBUG_NAME).$(DYNEXT)
++ ln -s $(RELEASE_DYNLIB) $(OUTDIR)/$(RELEASE_NAME).$(DYNEXT)
++! -ln -s $(DEBUG_DYNLIB) $(OUTDIR)/$(DEBUG_NAME).$(DYNEXT)
++ ln -s $(STLDEBUG_DYNLIB) $(OUTDIR)/$(STLDEBUG_NAME).$(DYNEXT)
++
++ install_unix :
++--- 84,90 ----
++ $(RM) $(OUTDIR)/$(STLDEBUG_NAME).$(DYNEXT)
++ $(RM) $(OUTDIR)/$(DEBUG_NAME).$(DYNEXT)
++ ln -s $(RELEASE_DYNLIB) $(OUTDIR)/$(RELEASE_NAME).$(DYNEXT)
++! -ln -s $(STLDEBUG_DYNLIB) $(OUTDIR)/$(DEBUG_NAME).$(DYNEXT)
++ ln -s $(STLDEBUG_DYNLIB) $(OUTDIR)/$(STLDEBUG_NAME).$(DYNEXT)
++
++ install_unix :
+diff -urN stlport.orig/makefile.mk stlport/makefile.mk
+--- stlport.orig/makefile.mk 2004-01-28 11:52:04.000000000 +0100
++++ stlport/makefile.mk 2004-02-08 12:01:34.362287427 +0100
+@@ -72,11 +72,12 @@
+ # --- Files --------------------------------------------------------
+ .EXPORT : CC CXX
+ .IF "$(COMID)"=="gcc3"
+- TARFILE_NAME=STLport-4.5
+ .IF "$(OS)$(BUILD_OS_MAJOR)$(BUILD_OS_MINOR)"=="MACOSX103"
++ TARFILE_NAME=STLport-4.5
+ PATCH_FILE_NAME=STLport-4.5-macxp-panther.patch
+ .ELSE
+- PATCH_FILE_NAME=STLport-4.5.patch
++ TARFILE_NAME=STLport-4.5.3
++ PATCH_FILE_NAME=STLport-4.5.3.patch
+ .ENDIF
+ .ELSE # "$(COMID)"=="gcc3"
+ .IF "$(OS)"=="MACOSX"
diff --git a/app-office/openoffice/files/1.1.2/ooffice-wrapper-1.3 b/app-office/openoffice/files/1.1.2/ooffice-wrapper-1.3
new file mode 100644
index 000000000000..48dd4c0ad6f2
--- /dev/null
+++ b/app-office/openoffice/files/1.1.2/ooffice-wrapper-1.3
@@ -0,0 +1,279 @@
+#!/bin/sh
+#
+# Wrapper script for openoffice
+#
+# (C) Peter 'Nidd' Novodvorsky, 2001,2002
+# (C) Martin 'empty' Quinson, 2002.
+# Modifications by Chris Halls
+# Modifications by Lucien Saviot
+
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; either version 2 of the License, or
+# (at your option) any later version.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU
+# General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License
+# along with this program; if not, write to the Free Software
+# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111-1307 USA
+
+# this string should be exactly as in ~/.sversionrc
+PV=<pv>
+OOVERSION="OpenOffice.org ${PV}"
+
+##
+## Source system configuration file
+##
+[ -r /etc/openoffice/openoffice.conf ] && . /etc/openoffice/openoffice.conf
+
+# Migration to new user install dir
+if [ -d "$HOME/.openoffice/1.1.1" ] ; then
+ mv $HOME/.openoffice/1.1.1 $HOME/.openoffice/1.1.2
+ sed -i -e s/'.openoffice\/1.1.1'/'.openoffice\/1.1.2'/g $HOME/.sversionrc
+ sed -i -e s/1.1.1/1.1.2/g $HOME/.openoffice/1.1.2/user/basic/*.xlc
+ echo "Your user install dir has been moved over to the new version"
+fi
+
+#Make smooth up- and downgrading between minor versions possible
+if [ -e "$HOME/.sversionrc" ] ; then
+ sed -i -e s/1.1.1/1.1.2/g $HOME/.sversionrc
+fi
+
+###
+### Get user settings directory from ~/.sversionrc and echo directory name to stdout
+### get_settings_dir <Version>
+### return: 0 - directory found,
+### 1 - ~/.sversionrc non existent
+### 2 - entry exists in ~/.sversionrc but directory not found
+### 3 - ~/.sversionrc exists but no entry found
+get_settings_dir()
+{
+ [ -r ${HOME}/.sversionrc ] || exit 1
+ # warning, .sversionrc is DOS encoded so strip ^M
+ settings_dir="`tr -d '\r' < ~/.sversionrc | sed -n "/^$1=/s%^$1=file://\(.*\)$%\1%p"`"
+ echo "$settings_dir"
+ [ -n "$settings_dir" ] || exit 3
+ [ -d "$settings_dir" ] || exit 2
+}
+
+##
+## where does OO live for this user ?
+##
+OOHOME="`get_settings_dir "$OOVERSION"`"
+if [ $? -eq 2 ] ; then
+ # .sversionrc contains a version yet the directory does not exist
+ echo "I'm confused because I can't find OpenOffice's user files."
+ echo "Your ~/.sversionrc file tells they should be under $OOHOME,"
+ echo "but they are not. Please fix the situation manually."
+ echo "You may want to edit ~/.sversionrc to indicate where is OO"
+ echo "installed, or remove it if you did remove your installation"
+ echo "directory manually (you bad one)."
+ exit 1
+fi
+
+##
+## Unset SESSION_MANAGER if gnome-session is the session manager
+## See http://www.openoffice.org/issues/show_bug.cgi?id=4494
+##
+SMPID=`echo $SESSION_MANAGER | sed --quiet "s,local.*/,,p"`
+if [ -n "$SMPID" ] && [ -L /proc/"$SMPID"/exe ]; then
+
+ SESMGR="`readlink -f /proc/$SMPID/exe`"
+ case "$SESMGR" in
+ /usr/bin/gnome-session*)
+ echo "Gnome session manager detected - session management disabled"
+ unset SESSION_MANAGER
+ ;;
+ esac
+fi
+
+##
+## Add known Debian fonts locations to search path
+##
+## Please report if you have problems with fonts, or know of non-defoma integrated packages that place fonts in other
+## paths.
+##
+
+# Default font path. This is used if SAL_FONTPATH_USER is not defined.
+DEBOO_FONTPATH="/usr/lib/X11/fonts/misc/;/usr/lib/X11/fonts/cyrillic/;\
+/usr/lib/X11/fonts/100dpi/:unscaled;/usr/lib/X11/fonts/75dpi/:unscaled;\
+/usr/lib/X11/fonts/Type1/;/usr/lib/X11/fonts/CID;/usr/lib/X11/fonts/Speedo/;\
+/usr/lib/X11/fonts/100dpi/;/usr/lib/X11/fonts/75dpi/;\
+/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType;\
+/usr/lib/X11/fonts/TrueType;\
+/usr/share/fonts/truetype/kochi;\
+/usr/lib/X11/fonts/TrueType/larabie-straight;\
+/usr/lib/X11/fonts/TrueType/larabie-uncommon"
+
+SAL_FONTPATH_USER=${SAL_FONTPATH_USER:-"$DEBOO_FONTPATH"}
+export SAL_FONTPATH_USER
+
+## search LOCALE
+if [ -n "$LC_ALL" ]; then
+ LOCALE="$LC_ALL"
+ # OOo doesn't understand LC_ALL, so set LANG
+ LANG="$LC_ALL"
+elif [ -n "$LANG" ]; then
+ LOCALE="$LANG"
+elif [ -n "$LC_MESSAGES" ]; then
+ LOCALE="$LC_MESSAGES"
+ LANG="$LC_MESSAGES"
+else
+ LOCALE="en_US"
+fi
+
+# Set locale to en_US if locale is C
+if [ "x$LOCALE" = "xC" ] ; then LOCALE="en_US"; fi
+
+LOCALEOO=`echo $LOCALE | sed 's/_/-/'`
+
+##
+## install OO for this user if needed
+##
+if [ -z "$OOHOME" ] ; then
+ if [ -e /etc/openoffice/autoresponse-<pv>.conf ] && \
+ grep -q DESTINATIONPATH /etc/openoffice/autoresponse-<pv>.conf ; then
+
+# Do not take old settings as migration results in broken behaviour
+#
+# UPDATEFLAG=""
+# if oldhome="`get_settings_dir "OpenOffice.org 1.0.3"`" ; then
+# OOHOME="$oldhome"
+# echo "Using settings from 1.0.3: /${oldhome}"
+# /bin/echo -e "OpenOffice.org <pv>=file://$oldhome\r" >> ~/.sversionrc
+# UPDATEFLAG="-update:/$oldhome"
+# fi
+ # first install
+ OOHOME=`grep DESTINATIONPATH /etc/openoffice/autoresponse-<pv>.conf | \
+ sed -e 's/DESTINATIONPATH=//' -e "s|<home>|$HOME|"`
+
+ if [ -d "$OOHOME" ]; then
+ echo "openoffice.org: You have no entry for $OOVERSION in ~/.sversionrc, "
+ echo "yet the directory $OOHOME exists."
+ echo "Please remove $OOHOME and try again."
+ exit 1
+ fi
+
+ echo "running openoffice.org setup..."
+ if ! /opt/OpenOffice.org/program/setup ${UPDATEFLAG} -R:/etc/openoffice/autoresponse-<pv>.conf >& /dev/null; then
+ echo "setup failed.. abort"
+ exit 1
+ fi
+
+
+# fi
+
+ echo "Setup complete. Running openoffice.org..."
+
+else
+ echo "openoffice.org: Damnit! I can't find OpenOffice's user files. Did you break"
+ echo "the /etc/openoffice/autoresponse-<pv>.conf file manually ?"
+ echo "This file should contain DESTINATIONPATH"
+ exit 1
+ fi
+fi
+
+##
+## If no file is specified on the command line, which application to start?
+## The wrapper can be called from several links in /usr/bin
+##
+if [ $# = 0 ]; then
+ case `basename $0` in
+ oocalc) set -- private:factory/scalc;;
+ oodraw) set -- private:factory/sdraw;;
+ ooimpress) set -- private:factory/simpress;;
+ oomath) set -- private:factory/smath;;
+ oowriter) set -- private:factory/swriter;;
+ oohtml) set -- private:factory/swriter/web;;
+ oomaster) set -- private:factory/swriter/Global;;
+ esac
+fi
+
+## Previous dead installation?
+[ -d $HOME/.openoffice/user ] && echo "Warning: you have a user settings directory from 1.0.0 in ~/.openoffice/user - this is no longer used"
+
+# There is no locale import file
+## Change the ooLocale key in SETUPFILE acording to LOCALE
+#TMPFILE=`mktemp -t oooLocale.XXXXXXXXXX` && {
+# cat >${TMPFILE} <<EOF
+#<?xml version="1.0" encoding="UTF-8"?>
+#<oor:node xmlns:oor="http://openoffice.org/2001/registry" xmlns:xs="http://www.w3.org/2001/XMLSchema" oor:name="Setup" oor:package="org.openoffice">
+# <node oor:name="L10N">
+# <prop oor:name="ooLocale" oor:type="xs:string">
+# <value>$LOCALEOO</value>
+# </prop>
+# </node>
+#</oor:node>
+#EOF
+# ooconfigimport $TMPFILE >/dev/null
+# rm -f ${TMPFILE}
+#}
+
+# Check whether the programs actually link to anything, or are from an old
+# version.
+
+if [ ! -s $OOHOME/setup ]; then
+ echo "${OOHOME}/setup links to nothing, resetting link"
+ ln -sf /opt/OpenOffice.org/program/setup ${OOHOME}/setup
+fi
+if [ ! -s $OOHOME/soffice ]; then
+ echo "${OOHOME}/soffice links to nothing, resetting link"
+ ln -sf /opt/OpenOffice.org/program/soffice ${OOHOME}/soffice
+fi
+if [ ! -s $OOHOME/spadmin ]; then
+ echo "${OOHOME}/spadmin links to nothing, resetting link"
+ ln -sf /opt/OpenOffice.org/program/soffice ${OOHOME}/spadmin
+fi
+
+
+##
+## That's it. Launch the beast (with the given args)
+##
+LANG=$LOCALE
+export LANG
+case `basename $0` in
+ oosetup) exec "$OOHOME/setup"
+ ;;
+ oopadmin) exec "$OOHOME/spadmin"
+ ;;
+ *) exec "$OOHOME/soffice" "$@"
+ ;;
+esac
+## Changelog
+# 2003/04/01 halls
+# * Version 1.1beta
+# 2003/02/03 halls
+# * Check for nonexistent ooLocale every run
+# 2003/01/09 halls
+# * Version 1.0.2
+# 12/15 saviot
+# * Change ooLocale at startup in Setup.xml
+# <ooLocale cfg:type="string"/> doesn't work for help.
+# 12/03 challs
+# * Add Debian font paths to user font path
+# 11/14 saviot
+# * correct handling of UI language
+# * don't change Linguistic.xml after first startup(#168780)
+# * TODO: provide better defaults on first startup
+# 10/03 challs
+# * Fix use with LC_ALL
+# 07/10 challs
+# * use 1.0.1 directory and improve error checking
+# 07/02 challs
+# * use readlink in /proc/PID/exe to get
+# real session manager name
+# 06/12 challs
+# * merge into main package
+# * change $@ to "$@"
+# * source configuration file:
+# /etc/openoffice/openoffice.conf
+# 06/12 mquinson
+# * strace only when DEBUG is set to yes
+# * readd the $@ to pass the args to soffice
+# 06/06 mquinson
+# * Make sure the OLDLOCALE is never empty
+# * handle the case where the locale is C
diff --git a/app-office/openoffice/files/1.1.2/openoffice-java.patch b/app-office/openoffice/files/1.1.2/openoffice-java.patch
new file mode 100644
index 000000000000..46a6e9734aa6
--- /dev/null
+++ b/app-office/openoffice/files/1.1.2/openoffice-java.patch
@@ -0,0 +1,36 @@
+diff -urN oo_1.1_src.orig/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOAddInCreateIterator.java oo_1.1_src/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOAddInCreateIterator.java
+--- oo_1.1_src.orig/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOAddInCreateIterator.java 2004-02-10 01:00:11.000000000 +0100
++++ oo_1.1_src/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOAddInCreateIterator.java 2004-02-09 11:19:53.000000000 +0100
+@@ -200,7 +200,7 @@
+ index--;
+ }
+
+- public org.openide.WizardDescriptor$Panel current() {
++ public org.openide.WizardDescriptor.Panel current() {
+ return panels[index];
+ }
+
+diff -urN oo_1.1_src.orig/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOIDLWizardIterator.java oo_1.1_src/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOIDLWizardIterator.java
+--- oo_1.1_src.orig/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOIDLWizardIterator.java 2004-02-10 01:00:48.000000000 +0100
++++ oo_1.1_src/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOIDLWizardIterator.java 2004-02-09 11:20:15.000000000 +0100
+@@ -207,7 +207,7 @@
+ index--;
+ }
+
+- public org.openide.WizardDescriptor$Panel current()
++ public org.openide.WizardDescriptor.Panel current()
+ {
+ return panels[index];
+ }
+diff -urN oo_1.1_src.orig/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOServiceCreateIterator.java oo_1.1_src/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOServiceCreateIterator.java
+--- oo_1.1_src.orig/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOServiceCreateIterator.java 2004-02-10 01:01:29.000000000 +0100
++++ oo_1.1_src/odk/source/OOSupport/org/netbeans/modules/openoffice/wizard/OOServiceCreateIterator.java 2004-02-09 11:20:35.000000000 +0100
+@@ -214,7 +214,7 @@
+ index--;
+ }
+
+- public org.openide.WizardDescriptor$Panel current() {
++ public org.openide.WizardDescriptor.Panel current() {
+ return panels[index];
+ }
+
diff --git a/app-office/openoffice/files/digest-openoffice-1.1.2 b/app-office/openoffice/files/digest-openoffice-1.1.2
new file mode 100644
index 000000000000..6a10fb54ecce
--- /dev/null
+++ b/app-office/openoffice/files/digest-openoffice-1.1.2
@@ -0,0 +1,2 @@
+MD5 d6fd3f6cb34bdbc14287460e1cfa3f76 OOo_1.1.2_source.tar.gz 220632989
+MD5 fdb06fdb5a4670b172f9fb738b717be9 gpc231.tar.Z 27917
diff --git a/app-office/openoffice/openoffice-1.1.2.ebuild b/app-office/openoffice/openoffice-1.1.2.ebuild
new file mode 100644
index 000000000000..0c3c646dfda1
--- /dev/null
+++ b/app-office/openoffice/openoffice-1.1.2.ebuild
@@ -0,0 +1,526 @@
+# Copyright 1999-2004 Gentoo Technologies, Inc.
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-office/openoffice/openoffice-1.1.2.ebuild,v 1.1 2004/06/17 22:39:22 suka Exp $
+
+# IMPORTANT: This is extremely alpha!!!
+
+# Notes:
+#
+# This will take a HELL of a long time to compile, be warned.
+# According to openoffice.org, it takes approximately 12 hours on a
+# P3/600 with 256mb ram. And thats where building is its only task.
+#
+# It takes about 6 hours on my P4 1.8 with 512mb memory, and the
+# build only needs about 2.1GB of disk space - Azarah.
+#
+# You will also need a bucketload of diskspace ... in the order of
+# 4-5 gb free to store all the compiled files and installation
+# directories.
+#
+# The information on how to build and what is required comes from:
+# http://www.openoffice.org/dev_docs/source/build_linux.html
+# http://tools.openoffice.org/ext_comp.html
+#
+# Todo:
+#
+# Get support going for installing a custom language pack. Also
+# need to be able to install more than one language pack.
+
+inherit flag-o-matic eutils gcc
+
+IUSE="gnome kde"
+
+LOC="/opt"
+INSTDIR="${LOC}/OpenOffice.org"
+S="${WORKDIR}/oo_${PV}_src"
+DESCRIPTION="OpenOffice.org, a full office productivity suite."
+SRC_URI="mirror://openoffice/stable/${PV}/OOo_${PV}_source.tar.gz
+ ftp://ftp.cs.man.ac.uk/pub/toby/gpc/gpc231.tar.Z"
+HOMEPAGE="http://www.openoffice.org/"
+
+LICENSE="LGPL-2 | SISSL-1.1"
+SLOT="0"
+KEYWORDS="~x86"
+
+RDEPEND=">=sys-libs/glibc-2.1
+ !=sys-libs/glibc-2.3.1*
+ >=dev-lang/perl-5.0
+ x11-libs/startup-notification
+ virtual/x11
+ app-arch/zip
+ app-arch/unzip
+ dev-libs/expat
+ >=virtual/jre-1.4.1
+ virtual/lpr
+ ppc? ( >=sys-libs/glibc-2.2.5-r7
+ >=sys-devel/gcc-3.2 )" # needed for sqrtl patch recently introduced
+
+DEPEND="${RDEPEND}
+ app-shells/tcsh
+ !app-office/openoffice-bin
+ >=virtual/jdk-1.4.1
+ sys-apps/findutils
+ dev-util/pkgconfig
+ !dev-util/dmake"
+
+pkg_setup() {
+
+ if [ "$(gcc-version)" != "3.2" ] && [ "$(gcc-version)" != "3.3" ]
+ then
+ eerror
+ eerror "This build needs gcc-3.{2,3}.x, but due to profile"
+ eerror "settings, it cannot DEPEND on it, so please merge it"
+ eerror "manually:"
+ eerror
+ eerror " # ebuild ${PORTDIR}/sys-devel/gcc/gcc-3.2.1.ebuild merge"
+ eerror
+ eerror "Please make sure that you use the latest availible revision of"
+ eerror "gcc."
+ eerror
+ die
+ fi
+
+ if [ -z "$(/usr/bin/java-config -O | grep "blackdown-jdk")" ] && [ "${FORCE_JAVA}" != "yes" ]
+ then
+ eerror
+ eerror "This ebuild has only been tested with the blackdown port of"
+ eerror "java. If you use another java implementation, it could fail"
+ eerror "horribly, so please merge the blackdown-jdk and set it as"
+ eerror "system VM before proceeding:"
+ eerror
+ eerror " # emerge blackdown-jdk"
+ eerror " # java-config --set-system-vm=blackdown-jdk-<VERSION>"
+ eerror " # env-update"
+ eerror " # source /etc/profile"
+ eerror
+ eerror "Please adjust <VERSION> according to the version installed in"
+ eerror "/opt."
+ eerror
+ eerror "If you however want to test another JDK (not officially supported),"
+ eerror "you could do the following:"
+ eerror
+ eerror " # export FORCE_JAVA=yes"
+ eerror
+ die
+ fi
+
+ ewarn "****************************************************************"
+ ewarn " It is important to note that OpenOffice.org is a very fragile "
+ ewarn " build when it comes to CFLAGS. A number of flags have already "
+ ewarn " been filtered out. If you experience difficulty merging this "
+ ewarn " package and use agressive CFLAGS, lower the CFLAGS and try to "
+ ewarn " merge again. "
+ ewarn "****************************************************************"
+
+ set_languages
+}
+
+set_languages () {
+
+ if [ -z "$LANGUAGE" ]; then
+ LANGUAGE=01
+ fi
+
+ case "$LANGUAGE" in
+ 01 | ENUS ) LANGNO=01; LANGNAME=ENUS; LFULLNAME="US English (default)"
+ ;;
+ 03 | PORT ) LANGNO=03; LANGNAME=PORT; LFULLNAME=Portuguese
+ ;;
+ 07 | RUSS ) LANGNO=07; LANGNAME=RUSS; LFULLNAME=Russian
+ ;;
+ 30 | GREEK ) LANGNO=30; LANGNAME=GREEK; LFULLNAME=Greek
+ ;;
+ 31 | DTCH ) LANGNO=31; LANGNAME=DTCH; LFULLNAME=Dutch
+ ;;
+ 33 | FREN ) LANGNO=33; LANGNAME=FREN; LFULLNAME=French
+ ;;
+ 34 | SPAN ) LANGNO=34; LANGNAME=SPAN; LFULLNAME=Spanish
+ ;;
+ 35 | FINN ) LANGNO=35; LANGNAME=FINN; LFULLNAME=Finnish
+ ;;
+ 37 | CAT ) LANGNO=37; LANGNAME=CAT; LFULLNAME=Catalan
+ ;;
+ 39 | ITAL ) LANGNO=39; LANGNAME=ITAL; LFULLNAME=Italian
+ ;;
+ 42 | CZECH ) LANGNO=42; LANGNAME=CZECH; LFULLNAME=Czech
+ ;;
+ 43 | SLOVAK ) LANGNO=43; LANGNAME=SLOVAK; LFULLNAME=Slovak
+ ;;
+ 45 | DAN ) LANGNO=45; LANGNAME=DAN; LFULLNAME=Danish
+ ;;
+ 46 | SWED ) LANGNO=46; LANGNAME=SWED; LFULLNAME=Swedish
+ ;;
+ 48 | POL ) LANGNO=48; LANGNAME=POL; LFULLNAME=Polish
+ ;;
+ 49 | GER ) LANGNO=49; LANGNAME=GER; LFULLNAME=German
+ ;;
+ 55 | PORTBR ) LANGNO=55; LANGNAME=PORTBR; LFULLNAME="Portuguese brazilian"
+ ;;
+ 66 | THAI ) LANGNO=66; LANGNAME=THAI; LFULLNAME=Thai
+ ;;
+ 77 | ESTONIAN ) LANGNO=77; LANGNAME=ESTONIAN; LFULLNAME=Estonian
+ ;;
+ 81 | JAPN ) LANGNO=81; LANGNAME=JAPN; LFULLNAME="Japanese"
+ ;;
+ 82 | KOREAN ) LANGNO=82; LANGNAME=KOREAN; LFULLNAME=Korean
+ ;;
+ 86 | CHINSIM ) LANGNO=86; LANGNAME=CHINSIM; LFULLNAME="Simplified Chinese (PRC)"
+ ;;
+ 88 | CHINTRAD ) LANGNO=88; LANGNAME=CHINTRAD; LFULLNAME="Traditional Chinese (taiwan)"
+ ;;
+ 90 | TURK ) LANGNO=90; LANGNAME=TURK; LFULLNAME=Turkish
+ ;;
+ 91 | HINDI ) LANGNO=91; LANGNAME=HINDI; LFULLNAME=Hindi
+ ;;
+ 96 | ARAB ) LANGNO=96; LANGNAME=ARAB; LFULLNAME=Arabic
+ ;;
+ 97 | HEBREW ) LANGNO=97; LANGNAME=HEBREW; LFULLNAME=Hebrew
+ ;;
+ * )
+ eerror "Unknown LANGUAGE setting!"
+ eerror
+ eerror "Known LANGUAGE settings are:"
+ eerror " ENUS | PORT | RUSS | GREEK | DTCH | FREN | SPAN | FINN | CAT | ITAL |"
+ eerror " CZECH | SLOVAK | DAN | SWED | POL | GER | PORTBR | THAI | ESTONIAN |"
+ eerror " JAPN | KOREAN | CHINSIM | CHINTRAD | TURK | HINDI | ARAB | HEBREW"
+ die
+ ;;
+ esac
+}
+
+oo_setup() {
+
+ unset LANGUAGE
+ unset LANG
+ unset LC_ALL
+
+ # We want gcc3 if possible!!!!
+ export WANT_GCC_3="yes"
+
+ export NEW_GCC="0"
+
+ if [ -x /usr/sbin/gcc-config ]
+ then
+ # Do we have a gcc that use the new layout and gcc-config ?
+ if /usr/sbin/gcc-config --get-current-profile &> /dev/null
+ then
+ export NEW_GCC="1"
+ export GCC_PROFILE="$(/usr/sbin/gcc-config --get-current-profile)"
+
+ # Just recheck gcc version ...
+ if [ "$(gcc-version)" != "3.2" ] && [ "$(gcc-version)" != "3.3" ]
+ then
+ # See if we can get a gcc profile we know is proper ...
+ if /usr/sbin/gcc-config --get-bin-path ${CHOST}-3.2.1 &> /dev/null
+ then
+ export PATH="$(/usr/sbin/gcc-config --get-bin-path ${CHOST}-3.2.1):${PATH}"
+ export GCC_PROFILE="${CHOST}-3.2.1"
+ else
+ eerror "This build needs gcc-3.2 or gcc-3.3!"
+ eerror
+ eerror "Use gcc-config to change your gcc profile:"
+ eerror
+ eerror " # gcc-config $CHOST-3.2.1"
+ eerror
+ eerror "or whatever gcc version is relevant."
+ die
+ fi
+ fi
+ fi
+ fi
+
+ export JAVA_BINARY="`which java`"
+}
+
+src_unpack() {
+
+ oo_setup
+
+ cd ${WORKDIR}
+ unpack ${A}
+
+ # Install gpc
+ cd ${WORKDIR}/gpc231
+ cp gpc.* ${S}/external/gpc
+
+ cd ${S}
+ rm stlport/STLport-4.5.3.patch
+ epatch ${FILESDIR}/${PV}/newstlportfix.patch
+
+ epatch ${FILESDIR}/${PV}/openoffice-java.patch
+
+ # Linux/SPARC fixes
+ use sparc && epatch ${FILESDIR}/${PV}/linux-sparc.patch
+
+ # Compile problems with these ...
+ filter-flags "-funroll-loops"
+ filter-flags "-fomit-frame-pointer"
+ filter-flags "-fprefetch-loop-arrays"
+ filter-flags "-fno-default-inline"
+ append-flags "-fno-strict-aliasing"
+ replace-flags "-O3" "-O2"
+ replace-flags "-Os" "-O2"
+
+ # Enable Bytecode Interpreter for freetype ...
+ append-flags "-DTT_CONFIG_OPTION_BYTECODE_INTERPRETER"
+
+ if [ "$(gcc-version)" == "3.2" ]; then
+ einfo "You use a buggy gcc, so replacing -march=pentium4 with -march=pentium3"
+ replace-flags "-march=pentium4" "-march=pentium3 -mcpu=pentium4"
+ fi
+
+ # Now for our optimization flags ...
+ export CXXFLAGS="${CXXFLAGS} -fno-for-scope -fpermissive -fno-rtti"
+ perl -pi -e "s|^CFLAGSOPT=.*|CFLAGSOPT=${CFLAGS}|g" \
+ ${S}/solenv/inc/unxlngi4.mk
+ perl -pi -e "s|^CFLAGSCXX=.*|CFLAGSCXX=${CXXFLAGS}|g" \
+ ${S}/solenv/inc/unxlngi4.mk
+
+ #Do our own branding by setting gentoo linux as the vendor
+ sed -i -e "s,\(//\)\(.*\)\(my company\),\2Gentoo Linux," ${S}/offmgr/source/offapp/intro/ooo.src
+}
+
+get_EnvSet() {
+
+ # Determine what Env file we should be using (Az)
+ export LinuxEnvSet="LinuxIntelEnv.Set.sh"
+ use sparc && export LinuxEnvSet="LinuxSparcEnv.Set.sh"
+ use sparc64 && export LinuxEnvSet="LinuxSparcEnv.Set.sh"
+ use ppc && export LinuxEnvSet="LinuxPPCEnv.Set.sh"
+ use alpha && export LinuxEnvSet="LinuxAlphaEnv.Set.sh"
+
+ # Get build specific stuff (Az)
+ export SOLVER="$(awk '/^UPD=/ {gsub(/\"/, ""); gsub(/UPD=/, ""); print $0}' ${LinuxEnvSet})"
+ export SOLPATH="$(awk '/^INPATH=/ {gsub(/\"/, ""); gsub(/INPATH=/, ""); print $0}' ${LinuxEnvSet})"
+}
+
+src_compile() {
+
+ addpredict /bin
+ addpredict /root/.gconfd
+ local buildcmd=""
+
+ # Do NOT compile with a external STLport, as gcc-2.95.3 users will
+ # get linker errors due to the ABI being different (STLport will be
+ # compiled with 2.95.3, while OO is compiled with 3.x). (Az)
+ einfo "Configuring OpenOffice.org with language support for ${LFULLNAME}..."
+ cd ${S}/config_office
+ rm -f config.cache
+ if [ "LANGNAME" != "ENUS" ]; then
+ LANGNAME="${LANGNAME},ENUS"
+ fi
+ ./configure --enable-gcc3 \
+ --with-jdk-home=${JAVA_HOME} \
+ --with-lang=${LANGNAME}\
+ --enable-libsn\
+ --without-fonts\
+ --with-x || die
+
+ cd ${S}
+ get_EnvSet
+
+ # Set $ECPUS to amount of processes multiprocessing build should use.
+ # NOTE: Setting this too high might cause dmake to segfault!!
+ # Setting this to anything but "1" on my pentium4 causes things
+ # to segfault :(
+ [ -z "${ECPUS}" ] && export ECPUS="1"
+
+ # Should the build use multiprocessing?
+ # We use build.pl directly, as dmake tends to segfault. (Az)
+ if [ "${ECPUS}" -gt 1 ]
+ then
+ buildcmd="${S}/solenv/bin/build.pl --all -P${ECPUS} product=full strip=true --dlv_switch link"
+ else
+ buildcmd="${S}/solenv/bin/build.pl --all product=full strip=true --dlv_switch link"
+ fi
+
+ if [ -z "$(grep 'CCCOMP' ${S}/${LinuxEnvSet})" ]
+ then
+ # Set CCCOMP and CXXCOMP. This is still needed for STLport
+ export CCCOMP=${CC}
+ export CXXCOMP=${CXX}
+ fi
+
+ einfo "Bootstrapping OpenOffice.org..."
+ # Get things ready for bootstrap (Az)
+ chmod 0755 ${S}/solenv/bin/*.pl
+ # Bootstrap ...
+ ./bootstrap
+
+ einfo "Building OpenOffice.org..."
+ echo "source ${S}/${LinuxEnvSet} && cd ${S}/instsetoo && ${buildcmd}" > build.sh
+ sh build.sh || die "Build failed!"
+
+ [ -d ${S}/instsetoo/${SOLPATH} ] || die "Cannot find build directory!"
+}
+
+src_install() {
+
+ # Sandbox issues; bug #11838
+ addpredict "/user"
+ addpredict "/share"
+ addpredict "/dev/dri"
+ addpredict "/usr/bin/soffice"
+ addpredict "/pspfontcache"
+
+ # The install part should now be relatively OK compared to
+ # what it was. Basically we use autoresponse files to install
+ # unattended. Afterwards we
+ # just cleanout ${D} from the registry, etc. This way we
+ # do not need pre-generated registry, and also fixes some weird
+ # bugs related to the old way we did things.
+ #
+ # <azarah@gentoo.org> (9 Sep 2002)
+
+ # Autoresponse file for main installation
+ cat > ${T}/rsfile-global <<-"END_RS"
+ [ENVIRONMENT]
+ INSTALLATIONMODE=INSTALL_NETWORK
+ INSTALLATIONTYPE=STANDARD
+ DESTINATIONPATH=<destdir>
+ OUTERPATH=
+ LOGFILE=
+ LANGUAGELIST=<LANGUAGE>
+
+ [JAVA]
+ JavaSupport=preinstalled_or_none
+ END_RS
+
+ # Autoresponse file for user installation
+ cat > ${T}/rsfile-local <<-"END_RS"
+ [ENVIRONMENT]
+ INSTALLATIONMODE=INSTALL_WORKSTATION
+ INSTALLATIONTYPE=WORKSTATION
+ DESTINATIONPATH=<home>/.openoffice/<pv>
+
+ [JAVA]
+ JavaSupport=none
+ END_RS
+
+ # Fixing install location in response file
+ sed -e "s|<destdir>|${D}${INSTDIR}|" \
+ ${T}/rsfile-global > ${T}/autoresponse
+
+ einfo "Installing OpenOffice.org into build root..."
+ dodir ${INSTDIR}
+ cd ${S}/instsetoo/${SOLPATH}/${LANGNO}/normal
+ ./setup -v -noexit -nogui -r:${T}/autoresponse || die "Setup failed"
+
+ echo
+ einfo "Removing build root from registry..."
+ # Remove totally useless stuff.
+ rm -f ${D}${INSTDIR}/program/{setup.log,sopatchlevel.sh}
+ # Remove build root from registry and co
+ egrep -rl "${D}" ${D}${INSTDIR}/* | \
+ xargs -i perl -pi -e "s|${D}||g" {} || :
+
+ einfo "Fixing permissions..."
+ # Fix permissions
+ find ${D}${INSTDIR}/ -type f -exec chmod a+r {} \;
+ chmod a+x ${D}${INSTDIR}/share/config/webcast/*.pl
+
+ # Fix symlinks
+ for x in "soffice program/spadmin" \
+ "program/setup setup" \
+ "program/spadmin spadmin"
+ do
+ dosym $(echo ${x} | awk '{print $1}') \
+ ${INSTDIR}/$(echo ${x} | awk '{print $2}')
+ done
+
+ # Install user autoresponse file
+ insinto /etc/openoffice
+ sed -e "s|<pv>|${PV}|g" ${T}/rsfile-local > ${T}/autoresponse-${PV}.conf
+ doins ${T}/autoresponse-${PV}.conf
+
+ # Install wrapper script
+ exeinto /usr/bin
+ sed -e "s|<pv>|${PV}|g" \
+ ${FILESDIR}/${PV}/ooffice-wrapper-1.3 > ${T}/ooffice
+ doexe ${T}/ooffice
+
+ # Component symlinks
+ for app in calc draw impress math writer web setup padmin; do
+ dosym ooffice /usr/bin/oo${app}
+ done
+
+ einfo "Installing Menu shortcuts (need \"gnome\" or \"kde\" in USE)..."
+ if use gnome
+ then
+ insinto /usr/share/gnome/apps/OpenOffice.org
+ # Install the files needed for the catagory
+ doins ${D}${INSTDIR}/share/gnome/net/.directory
+ doins ${D}${INSTDIR}/share/gnome/net/.order
+
+ # Change this to ooo*.desktop from *.desktop for now, since
+ # otherwise two sets of icons will appear in the GNOME menu.
+ # <brad@gentoo.org> (04 Aug 2003)
+ for x in ${D}${INSTDIR}/share/gnome/net/ooo*.desktop
+ do
+ # We have to handle soffice and setup differently
+ perl -pi -e "s:${INSTDIR}/program/setup:/usr/bin/oosetup:g" ${x}
+ perl -pi -e "s:${INSTDIR}/program/soffice:/usr/bin/ooffice:g" ${x}
+ # Now fix the rest
+ perl -pi -e "s:${INSTDIR}/program/s:/usr/bin/oo:g" ${x}
+ doins ${x}
+ done
+ fi
+
+ if use kde
+ then
+ local kdeloc="${D}${INSTDIR}/share/kde/net/"
+
+ insinto /usr/share/applnk/OpenOffice.org\ 1.1
+ # Install the files needed for the catagory
+ doins ${kdeloc}/.directory
+ dodir /usr/share
+ # Install the icons and mime info
+ cp -a ${D}${INSTDIR}/share/kde/net/share/mimelnk ${D}${INSTDIR}/share/kde/net/share/icons ${D}/usr/share
+
+ for x in ${kdeloc}/*.desktop
+ do
+ # We have to handle soffice and setup differently
+ perl -pi -e "s:${INSTDIR}/program/setup:/usr/bin/oosetup:g" ${x}
+ perl -pi -e "s:${INSTDIR}/program/soffice:/usr/bin/ooffice:g" ${x}
+ # Now fix the rest
+ perl -pi -e "s:${INSTDIR}/program/s:/usr/bin/oo:g" ${x}
+ doins ${x}
+ done
+ fi
+
+ # Do not actually install the desktop bindings for users, we have
+ # installed them globally
+ for module in gid_Module_Optional_Gnome gid_Module_Optional_Kde gid_Module_Optional_Cde
+ do
+ perl -pi -e "/^Module $module/ .. /^End/ and s|(Installed.*)=.*|\1= NO;|" \
+ ${D}${INSTDIR}/program/instdb.ins
+ done
+
+
+
+ # Remove unneeded stuff
+ rm -rf ${D}${INSTDIR}/share/cde
+
+ # Make sure these do not get nuked.
+ keepdir ${INSTDIR}/user/registry/res/en-us/org/openoffice/{Office,ucb}
+ keepdir ${INSTDIR}/user/psprint/{driver,fontmetric}
+ keepdir ${INSTDIR}/user/{autocorr,backup,plugin,store,temp,template}
+}
+
+pkg_postinst() {
+
+ einfo "******************************************************************"
+ einfo " To start OpenOffice.org, run:"
+ einfo
+ einfo " $ ooffice"
+ einfo
+ einfo " Also, for individual components, you can use any of:"
+ einfo
+ einfo " oocalc, oodraw, ooimpress, oomath, ooweb or oowriter"
+ einfo
+ einfo " If the fonts appear garbled in the user interface refer to "
+ einfo " Bug 8539, or http://www.openoffice.org/FAQs/fontguide.html#8"
+ einfo
+ einfo "******************************************************************"
+}
+